<div class="panel">
  <div class="header">
    <span></span>
    <div class="headline">
      <b>ADD NEW APP</b>
    </div>
    <div class="header-button-container">
      <span class="standard-hover button-transparent-background">
        <button
          mat-button
          class="marketplace-button"
          (click)="openSolutionStore()">
          <mat-icon>local_mall</mat-icon>
          <small>APP MARKETPLACE</small>
        </button>
      </span>
      <span class="standard-hover button-transparent-background">
        <button
          mat-button
          class="close-button"
          (click)="closePanel.emit($event)">
          <mat-icon>close</mat-icon>
        </button>
      </span>
    </div>
  </div>
  <ng-container *ngIf="appsLoaded; else loading">
    <div class="content-container">
      <app-new-app-card
        data-cy="new-app-cards-list"
        *ngFor="let app of apps; trackBy: appsTrackBy"
        [app]="app"
        (addAppToExamination)="addAppToExamination.emit($event)"
        (hoverOverApp)="hoverOverApp.emit($event)">
      </app-new-app-card>
    </div>
    <ng-container *ngIf="!apps?.length">
      <div class="menu-no-content">
        <div>There are no apps</div>
      </div>
    </ng-container>
  </ng-container>
  <ng-template #loading>
    <div class="loading-container">
      <mat-spinner></mat-spinner>
    </div>
  </ng-template>
</div>
